package lab9;

import java.awt.Image;
import java.io.File;
import java.io.IOException;
import javax.imageio.ImageIO;

public class Card {
    
    private static final Image[] IMAGES;
    static {
        IMAGES = new Image[5];
        try {
            IMAGES[0] = ImageIO.read(new File("./images/Cards/Move.png"));
            IMAGES[1] = ImageIO.read(new File("./images/Cards/Back.png"));
            IMAGES[2] = ImageIO.read(new File("./images/Cards/Turn90Clockwise.png"));
            IMAGES[3] = ImageIO.read(new File("./images/Cards/Turn90CounterClockwise.png"));
            IMAGES[4] = ImageIO.read(new File("./images/Cards/Turn180.png"));
        }
        catch (IOException e) {
            throw new ExceptionInInitializerError(e);
        }
    }
    
    private final CardType type;

    public Card(CardType type) {
        this.type = type;
    }
    
    public Image getImage() {
        return IMAGES[type.ordinal()];
    }
    
    @Override
    public String toString() {
        return type.toString();
    }
    
}
